Loading...
Searching...
No Matches
dvbt_reed_solomon_enc.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT_REED_SOLOMON_ENC_H
#define INCLUDED_DTV_DVBT_REED_SOLOMON_ENC_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
namespace gr {
namespace dtv {
/*!
* \brief Reed Solomon encoder
* \ingroup dtv
*
* ETSI EN 300 744 Clause 4.3.2 \n
* RS(N=204,K=239,T=8).
*/
class DTV_API dvbt_reed_solomon_enc : virtual public block
{
public:
typedef std::shared_ptr<dvbt_reed_solomon_enc> sptr;
/*!
* \brief Create a Reed Solomon encoder.
*
* \param p characteristic of GF(p^m).
* \param m we use GF(p^m).
* \param gfpoly Generator Polynomial.
* \param n length of codeword of RS coder.
* \param k length of information sequence of RS encoder.
* \param t number of corrected errors.
* \param s shortened length.
* \param blocks number of blocks to process at once.
*/
static sptr make(int p, int m, int gfpoly, int n, int k, int t, int s, int blocks);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT_REED_SOLOMON_ENC_H */
gr::block::block
block(void)
Definition gnuradio-runtime/include/gnuradio/block.h:806
gr::dtv::dvbt_reed_solomon_enc
Reed Solomon encoder.
Definition dvbt_reed_solomon_enc.h:26
gr::dtv::dvbt_reed_solomon_enc::make
static sptr make(int p, int m, int gfpoly, int n, int k, int t, int s, int blocks)
Create a Reed Solomon encoder.
gr::dtv::dvbt_reed_solomon_enc::sptr
std::shared_ptr< dvbt_reed_solomon_enc > sptr
Definition dvbt_reed_solomon_enc.h:28
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::blocks
Definition abs_blk.h:20
gr::dtv
Definition atsc_consts.h:17
gr
GNU Radio logging wrapper.
Definition basic_block.h:29